curl --request POST \
--url https://api.notiline.net/v1/contact \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"phone_number": "+2250709538217",
"name": "John Doe",
"surname": "Doe",
"gender": "male",
"email": "[email protected]",
"city": "Abidjan",
"group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"birth_date": "2023-12-25",
"external_id": "<string>",
"avatar_url": "<string>",
"preferred_language": "<string>"
}
'import requests
url = "https://api.notiline.net/v1/contact"
payload = {
"phone_number": "+2250709538217",
"name": "John Doe",
"surname": "Doe",
"gender": "male",
"email": "[email protected]",
"city": "Abidjan",
"group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"birth_date": "2023-12-25",
"external_id": "<string>",
"avatar_url": "<string>",
"preferred_language": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
phone_number: '+2250709538217',
name: 'John Doe',
surname: 'Doe',
gender: 'male',
email: '[email protected]',
city: 'Abidjan',
group_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
birth_date: '2023-12-25',
external_id: '<string>',
avatar_url: '<string>',
preferred_language: '<string>'
})
};
fetch('https://api.notiline.net/v1/contact', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"company_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"country_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lot": "<string>",
"name": "<string>",
"surname": "<string>",
"phone_number": "<string>",
"gender": "<string>",
"email": "<string>",
"city": "<string>",
"birth_date": "2023-12-25",
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"origin": "<string>",
"modified_from": "<string>",
"external_id": "<string>",
"preferred_language": "<string>",
"avatar_url": "<string>"
}{
"status": 401,
"message": "Accès refusé"
}Créer un contact
Autorisations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Corps
Numéro de téléphone du contact
"+2250709538217"
Nom du contact
"John Doe"
Prénom du contact
"Doe"
Genre du contact
"male"
Adresse e-mail du contact
Ville du contact
"Abidjan"
ID du groupe de contact
Date de naissance du contact
ID externe du contact
URL de l'avatar du contact
Langue préférée du contact
Réponse
Opération réussie
Model for contact
ID of the contact
Company ID associated with the contact
Group ID associated with the contact
Country ID associated with the contact
Lot associated with the contact
Name of the contact
Surname of the contact
Phone number of the contact
Gender of the contact
Email of the contact
City of the contact
Birth date of the contact
User ID who created the contact
Origin of the contact
Modified from of the contact
External ID associated with the contact
Preferred language of the contact
Avatar URL of the contact